//---------------------------------------------------------------------------

#ifndef NotificationADPanelUnitH
#define NotificationADPanelUnitH
//---------------------------------------------------------------------------
#include "NotificationExUnit.h"
#include <Vcl.Imaging.pngimage.hpp>
#include <Vcl.Imaging.pnglang.hpp>
#include <Vcl.Graphics.hpp>
#include "PNGButton.hpp"
//---------------------------------------------------------------------------
typedef vector<TUrlLabel*> VCURLLABEL;

class TNotiADPanel : public Vcl::Extctrls::TPanel
{
private:
	VCTJSON   *m_VCJsonAD;
	void __fastcall SetAD();

	int m_iIndex;

	vector<TPicture *> m_vcPIC;

	TUrlPaintBox *m_pPaintBoxAD;
	void __fastcall PaintBoxMouseEnter(TObject *Sender);
	void __fastcall PaintBoxMouseLeave(TObject *Sender);

	vector<TUrlPaintBox *> m_pPBADChange;
	void __fastcall ADChangeMouseEnter(TObject *Sender);
	void __fastcall ADChangeMouseLeave(TObject *Sender);

	TTimer *m_pADTimer;
	void __fastcall NotificationTimerProc(TObject* Sender);


	virtual void __fastcall CreateWnd();
	MESSAGE void __fastcall WMEraseBkgnd(TWMEraseBkgnd &Message);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
	END_MESSAGE_MAP( Vcl::Extctrls::TPanel )

public:
	__fastcall TNotiADPanel( TComponent* Owner, VCTJSON   *VCJsonAD);
	__fastcall ~TNotiADPanel();
};
//---------------------------------------------------------------------------
#endif
